# Get list of games owned by user

Get the list of games owned by the user. The response will contain an array of games owned by a particular user.

  Attention
    All projects have the limitation to the number of items that you can
    get in the response. The default and maximum value is 50 items
    per response. To get more data page by page, use limit
    and offset fields.
  
  Note
    This API call returns generic item catalog data when used without
    authorization. Use authorization to retrieve
    personalized
    user data, such as limits and promotions associated with the item.
    To do this, pass the user JWT in the Authorization header.
    For more information about user JWT, see the Security block
    for this call.

Endpoint: GET /v2/project/{project_id}/entitlement
Version: 2.0.0
Security: XsollaLoginUserJWT

## Path parameters:

  - `project_id` (integer, required)
    Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com//projects/.
    Example: 44056

## Query parameters:

  - `limit` (integer)
    Limit for the number of elements on the page.
    Example: 50

  - `offset` (integer)
    Number of the element from which the list is generated (the count starts from 0).

  - `sandbox` (integer)
    What type of entitlements should be returned. If the parameter is set to 1, the entitlements received by the user in the sandbox mode only are returned. If the parameter isn't passed or is set to 0, the entitlements received by the user in the live mode only are returned.

  - `additional_fields[]` (array)
    The list of additional fields. These fields will be in the response if you send them in your request. Available fields attributes.

## Response 200 fields (application/json):

  - `has_more` (boolean)
    Used as an indicator that there are more pages.

  - `total_items_count` (integer)
    Total number of items in the system.

  - `items` (array)

  - `items.name` (string)
    Game package name.

  - `items.description` (string)
    Game package description.

  - `items.project_id` (integer)
    Project ID. You can find this parameter in your [Publisher Account](https://publisher.xsolla.com/) next to the name of the project.

  - `items.game_sku` (string)
    Unique key package ID.

  - `items.drm` (string)
    Unique DRM ID.
    Enum: "steam", "playstation", "xbox", "uplay", "origin", "drmfree", "gog", "epicgames", "nintendo_eshop", "discord_game_store", "oculus", "rockstar", "viveport", "stadia"

  - `items.image_url` (string)
    Image URL. For the image to display correctly and load quickly on the payment UI, check our image and URL guidelines:Supported formats: WebP (recommended), PNG, JPG.File size: ≤ 50 KB (for WebP) or ≤ 150 KB (for PNG and JPG).Image size: 280 x 280 px.Color space: sRGB.Protocol: HTTPS with long-lived caching for versioned URLs.

  - `items.is_pre_order` (boolean)
    Whether the game is in pre-order status or is not.

  - `items.attributes` (array)
    List of attributes and their values corresponding to the Game.

Attention. This part of response is available only if you send the additional_fields[]=attributes query parameter.

  - `items.attributes.external_id` (string)
    Unique attribute ID. The external_id may contain only lowercase and uppercase Latin alphanumeric characters, dashes, and underscores.

  - `items.attributes.name` (string)
    Name of attribute.
    Example: "Genre"

  - `items.attributes.values` (array)

  - `items.attributes.values.external_id` (string)
    Unique value ID for an attribute. The external_id may only contain lowercase Latin alphanumeric characters, dashes, and underscores.

  - `items.attributes.values.value` (string)
    Value of attribute.
    Example: "Strategy"

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1020

  - `errorMessage` (string)
    Example: "[0401-1020]: Error in Authentication method occurred"


